#include <stdio.h>

struct teste
{
    char a,b; // 2
    int c;    // 4
    double d; // 8
};

void q4()
{
    struct teste var;

    printf("%d\n", sizeof(char));
    printf("%d\n", sizeof(int));
    printf("%d\n", sizeof(double));

    printf("\n%d\n", sizeof(struct teste));

    printf("\n%p\n", &var);
    printf("%p\n", &var.a);
    printf("%p\n", &var.b);
    printf("%p\n", &var.c);
    printf("%p\n", &var.d);

    return;
}

typedef enum tagConceito
{
    A='A', B, C, D, NOTA_INVALIDA='X'
} Conceito;

Conceito converteNota(double nota)
{
    if(nota >= 8 && nota <= 10)
        return A;
    else if(nota >= 6 && nota < 8)
        return B;
    else if(nota >= 4 && nota < 6)
        return C;
    else if(nota >= 0 && nota < 4)
        return D;

    return NOTA_INVALIDA;
}

char *removeEspacos(const char *str)
{
    int i,j;
    char *nova_str = (char*)malloc(strlen(str)+1);

    for(i=0,j=0; str[i] != '\0'; i++)
    {
        if(str[i] != ' ')
        {
            nova_str[j] = str[i];
            j++;
        }
    }

    nova_str[j] = '\0';
    return nova_str;
}

int main()
{
    printf("%c\n\n", converteNota(-1));
    printf("%s\n", removeEspacos("Teste1 Teste2 a b        c"));

    return 0;
}
